<? 
include '../../system/core.php';
$_title = 'Управление правилами';
include '../../system/header.php';
switch($_GET['m'])
          {
          
          default:  
 
if($user['status'] < 1) {
header('Location: /index.php');
exit;
}
$text = isset($_POST['text'])?$_POST['text']:'';
$ban = isset($_POST['ban'])?$_POST['ban']:'';
if(isset($_POST['submit'])) {
  


if(empty($text)) $err[] = 'Введи текст';
if(empty($ban)) $err[] = 'Введи строк бана';
  
$sql = mysql_fetch_array(mysql_query('select * from `site_rules` where `text` = "'.$text.'" limit 1'));
if($sql != 0) $err[] = 'Этот правило уже есть';

if(!$err) {
  
mysql_query("INSERT INTO `site_rules`(`text`,`ban`)VALUES('".$text."','".$ban."')");
 
echo '<div class="err">Правило добавленно</div>';
} else {

echo '<div class="err"><b>';
  
foreach($err as $err_info) {
echo $err_info.'<br>';
}
echo '</b></div>';
}
}
 if(isset($_GET['del']) && $user['status'] >= 1){
  $id = TextGuard($_GET['id']);
  $rules = mysql_fetch_array(mysql_query('select * from `site_rules` where `id` = "'.$id.'"'));
  if($rules == 0 or empty($id) or !is_numeric($id)){
  header('Location: ?'); exit;
  }
  mysql_query("DELETE FROM `site_rules` WHERE `id`='".$id."'");
  header('Location: ?'); exit;
  }
echo '<div class="tegi">Правила | <a href="/admin">Админка</a></div>';
 

echo '<div class="post"><form action="" method="POST">  
Правило:
<br />
<textarea name="text" placeholder="Введите текст…"></textarea><br/>
Бан на:
<input name="ban" value="" size="3">ч. 
<input type="submit" value="Добавить" name="submit"/>
</form></div>';

 $user = 'SELECT * FROM site_rules';
  $rs = mysql_query($user);
while($row = mysql_fetch_array($rs)) {
   echo '<div class="post2">'.$row['id'].') ';
   echo $row['text'].' [<a href="/modules/admin/rules.php/?m=edit&amp;id='.$row['id'].'">ред</a>] [<a href="?del&id='.$row['id'].'">уд</a>]<br/><b>Бан на: '.$row['ban'].' ч.</b></div>';
  }

break;
  case 'edit':
 
  
  $id = TextGuard($_GET['id']);
 
  $rules = mysql_fetch_array(mysql_query('select * from `site_rules` where `id` = "'.$id.'" limit 1'));

  if(empty($id) or !is_numeric($id) or $rules == 0){
  header('Location: /admin'); exit;
  }

  echo '<div class="verh"><a href="/modules/admin/rules.php"><b>Правила</a> | Редактировать правило</b></div>';

  if(isset($_POST['submit'])){
  
  $text = TextGuard($_POST['text']);
  $ban = TextGuard($_POST['ban']);
  if(empty($text)) $err[] = 'Текст остался пустым';
  if(empty($ban)) $err[] = 'Введите строк бана';
  if(!$err){
  mysql_query("UPDATE `site_rules` SET `text`='".$text."' , `ban`='".$ban."' WHERE `id` = '".$id."' limit 1");
  echo '<div class="post2">Сохранено<br/><a href="/modules/admin/rules.php">Вернуться </a></div>';
require_once ('../../system/footer.php');
exit;
  }else{
  echo '<div class="pet">';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</div>';
  }
  }

  echo '<div class="mist">
  <form action="" method="post">
Текст:<br/> <textarea name="text">'.$rules['text'].'</textarea><br/>
Бан на:
<input name="ban" value="'.$rules['ban'].'" size="3">ч. 
 
  <input type="submit" value="Сохранить" name="submit"/>
  </form></div>';

  break;
}
require_once ('../../system/footer.php');
?>
